Skip to content

Bulk write 'CustomerCommunicationConfiguration'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
Array [
priorityinteger, (int32), [ -2147483648 .. 2147483647 ]required
can_handle_protected_identitybooleanrequired
can_cancel_apartment_contractsbooleanrequired
can_view_apartment_contract_renewal_termsbooleanrequired
can_cancel_industrial_premises_contractsbooleanrequired
can_view_industrial_premises_contract_renewal_termsbooleanrequired
can_cancel_parking_spot_contractsbooleanrequired
can_view_parking_spot_contract_renewal_termsbooleanrequired
can_cancel_outdoor_section_contractsbooleanrequired
can_view_outdoor_section_contract_renewal_termsbooleanrequired
can_cancel_other_contractsbooleanrequired
can_view_other_contract_renewal_termsbooleanrequired
can_cancel_block_contractsbooleanrequired
can_view_block_contract_renewal_termsbooleanrequired
can_view_common_areasbooleanrequired
can_view_structural_objectsbooleanrequired
can_view_measurementsbooleanrequired
can_create_customer_earning_reportsbooleanrequired
can_update_customer_earning_reportsbooleanrequired
can_delete_customer_earning_reportsbooleanrequired
can_view_general_errandsbooleanrequired
can_handle_general_errandsbooleanrequired
can_view_inspection_errandsbooleanrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
receive_notifications_forArray of any
receive_email_notifications_forArray of any

Additional Validation Information:

This value must match with the values of these fields: receive_notifications_for

receive_sms_notifications_forArray of any

Additional Validation Information:

This value must match with the values of these fields: receive_notifications_for

custom_application_domainstring or null, <= 255 characters'^([a-z]+\.)+[a-z]+$'
]
POST
/configurations/customercommunicationconfiguration/list/
curl -i -X POST \
  https://dev.api.pigello.io/configurations/customercommunicationconfiguration/list/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '[
    {
      "organization": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "custom_id": "string",
      "priority": -2147483648,
      "can_handle_protected_identity": true,
      "can_cancel_apartment_contracts": true,
      "can_view_apartment_contract_renewal_terms": true,
      "can_cancel_industrial_premises_contracts": true,
      "can_view_industrial_premises_contract_renewal_terms": true,
      "can_cancel_parking_spot_contracts": true,
      "can_view_parking_spot_contract_renewal_terms": true,
      "can_cancel_outdoor_section_contracts": true,
      "can_view_outdoor_section_contract_renewal_terms": true,
      "can_cancel_other_contracts": true,
      "can_view_other_contract_renewal_terms": true,
      "can_cancel_block_contracts": true,
      "can_view_block_contract_renewal_terms": true,
      "can_view_common_areas": true,
      "can_view_structural_objects": true,
      "can_view_measurements": true,
      "can_create_customer_earning_reports": true,
      "can_update_customer_earning_reports": true,
      "can_delete_customer_earning_reports": true,
      "can_view_general_errands": true,
      "can_handle_general_errands": true,
      "can_view_inspection_errands": true,
      "receive_notifications_for": [
        null
      ],
      "receive_email_notifications_for": [
        null
      ],
      "receive_sms_notifications_for": [
        null
      ],
      "custom_application_domain": "string"
    }
  ]'

Responses

Successful bulk create/update

Bodyapplication/json
Array [
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

priorityinteger, (int32), [ -2147483648 .. 2147483647 ]required
can_handle_protected_identitybooleanrequired
can_cancel_apartment_contractsbooleanrequired
can_view_apartment_contract_renewal_termsbooleanrequired
can_cancel_industrial_premises_contractsbooleanrequired
can_view_industrial_premises_contract_renewal_termsbooleanrequired
can_cancel_parking_spot_contractsbooleanrequired
can_view_parking_spot_contract_renewal_termsbooleanrequired
can_cancel_outdoor_section_contractsbooleanrequired
can_view_outdoor_section_contract_renewal_termsbooleanrequired
can_cancel_other_contractsbooleanrequired
can_view_other_contract_renewal_termsbooleanrequired
can_cancel_block_contractsbooleanrequired
can_view_block_contract_renewal_termsbooleanrequired
can_view_common_areasbooleanrequired
can_view_structural_objectsbooleanrequired
can_view_measurementsbooleanrequired
can_create_customer_earning_reportsbooleanrequired
can_update_customer_earning_reportsbooleanrequired
can_delete_customer_earning_reportsbooleanrequired
can_view_general_errandsbooleanrequired
can_handle_general_errandsbooleanrequired
can_view_inspection_errandsbooleanrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
receive_notifications_forArray of any
receive_email_notifications_forArray of any

Additional Validation Information:

This value must match with the values of these fields: receive_notifications_for

receive_sms_notifications_forArray of any

Additional Validation Information:

This value must match with the values of these fields: receive_notifications_for

custom_application_domainstring or null, <= 255 characters'^([a-z]+\.)+[a-z]+$'
tagsanyread-only
customer_columnsanyread-only
]
Response
[ { "organization": { … }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "priority": -2147483648, "can_handle_protected_identity": true, "can_cancel_apartment_contracts": true, "can_view_apartment_contract_renewal_terms": true, "can_cancel_industrial_premises_contracts": true, "can_view_industrial_premises_contract_renewal_terms": true, "can_cancel_parking_spot_contracts": true, "can_view_parking_spot_contract_renewal_terms": true, "can_cancel_outdoor_section_contracts": true, "can_view_outdoor_section_contract_renewal_terms": true, "can_cancel_other_contracts": true, "can_view_other_contract_renewal_terms": true, "can_cancel_block_contracts": true, "can_view_block_contract_renewal_terms": true, "can_view_common_areas": true, "can_view_structural_objects": true, "can_view_measurements": true, "can_create_customer_earning_reports": true, "can_update_customer_earning_reports": true, "can_delete_customer_earning_reports": true, "can_view_general_errands": true, "can_handle_general_errands": true, "can_view_inspection_errands": true, "receive_notifications_for": [ … ], "receive_email_notifications_for": [ … ], "receive_sms_notifications_for": [ … ], "custom_application_domain": "string", "tags": null, "customer_columns": null } ]